%define	version	2.0.11
%define release	2mdk

%define major	0
%define libname %mklibname %{name}

Summary:	OpenGL Interface of Freetype2
Name:		ftgl
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Fonts/True type
URL:		http://homepages.paradise.net.nz/henryj/code/index.html#FTGL
Source:		http://homepages.paradise.net.nz/henryj/code/%{name}-%{version}.tar.bz2
Patch0:		%{name}-2.0.11-pkgconfig.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype2-devel
BuildRequires:	MesaGLU-devel
BuildRequires:	doxygen
BuildRequires:	chrpath

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes


%package	-n %{libname}%{major}
Summary:	OpenGL Interface of Freetype2
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package	-n %{libname}%{major}-devel
Summary:	Development related files of FTGL
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}%{major} = %{version}-%{release}

%description	-n %{libname}%{major}-devel
This package contains headers and static libraries of FTGL.
You need to install it if you want to develop or compile
any programs that make use of OpenGL interface of freetype
library.

%prep
%setup -q -n FTGL
%patch0 -p1 -b .pkgconfig

find -type f -name '*.txt' -print0 | xargs -0 -r chmod 0644

%build
cd unix
%configure2_5x --enable-shared
%make

%install
rm -rf %{buildroot}
cd unix
%makeinstall

# Yes, I know this is ugly, but don't want to take too much time
# to fix libtool et al
chrpath -d %{buildroot}%{_libdir}/libftgl.so.?.?.?

# include doc ourselves, don't let software do it
rm -rf %{buildroot}%{_docdir}

# remove files not bundled
rm -f %{buildroot}%{_bindir}/FTGLDemo
rmdir %{buildroot}%{_bindir} || true

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}%{major}
%defattr(-,root,root)
%doc *.txt
%{_libdir}/lib*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%doc unix/docs/html unix/README.txt
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-2mdk
- Fix build (thx Stefan's bot)

* Thu Nov 04 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-1mdk
- First Mandrake package
- Patch0: Patch .pc file to use freetype2.pc
